Name:           update-alternatives
Version:        1.9.1
Release:        %mkrel 1
Summary:        Alternative management system
License:        GPL
Group:          System/Configuration/Packaging
URL:            http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/update-alternatives/  
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch
Provides:       %{_sbindir}/alternatives
Provides:       %{_sbindir}/update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Utility for managing concurent software. Original version comes from
Debian but has been patched by Mandriva for use with rpm systems.

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}

%{makeinstall}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/alternatives
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/alternatives

(cd %{buildroot}%{_sbindir} && %{__ln_s} update-alternatives alternatives)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sbindir}/alternatives
%attr(0755,root,root) %{_sbindir}/update-alternatives
%{_mandir}/man8/update-alternatives.8*
%dir %{_localstatedir}/lib/alternatives
%dir %{_sysconfdir}/alternatives

%pre
if [ -L %{_localstatedir}/lib/alternatives ]; then
rm -f %{_localstatedir}/lib/alternatives
fi

%post
# Migrate to new location
if [ -d %{_localstatedir}/lib/rpm/alternatives ]; then
  # We proceed even if no alternatives directory exists, such situation
  # occurs in buildroot environment (we can't buildrequire package
  # itself).
  mv -f %{_localstatedir}/lib/rpm/alternatives/* %{_localstatedir}/lib/alternatives/ || :
  rmdir %{_localstatedir}/lib/rpm/alternatives ||:
fi

touch %{_localstatedir}/log/alternatives.log

%posttrans
if [ -d %{_localstatedir}/lib/rpm/alternatives ]; then
echo "update alternatives database has moved to new location.."
fi

%changelog
* Sat Apr 02 2022 yodelu 1.9.1-1pclos2022
- move database out of var/lib/rpm/

* Sat Aug 06 2011 Texstar <texstar at gmail.com> 1.9.0-1pclos2011
- rebuild
